On 2002.08.12, Philip Mak <pmak / animeglobe.com> wrote:
> 
> Maybe you have an older buggier version of ruby.vim? I'm using this:
> http://mugca.its.monash.edu.au/~djkea2/vim/syntax/ruby.vim
> (it goes in $VIM/vim61b/syntax/ruby.vim or whatever your equivalent
> directory is).

I _did_ have an older version of ruby.vim, so I replaced mine
with the one at the URL you specify.

Still doesn't work for me.

This is what :set shows:

  autoindent          filetype=ruby       shiftwidth=2        ttyfast
  comments=:#         formatoptions=cql   smartindent         viminfo='20,"50
  define=^\s*         history=50          suffixesadd=.rb
  expandtab           ruler               tabstop=2
  backspace=indent,eol
  cpoptions=aABceFsu
  helpfile=/usr/share/vim/vim61/doc/help.txt.gz
  include=^\s*\<\(load\|require\)\>
  includeexpr=substitute(substitute(v:fname,'::','/','g'),'$','.rb','')
  iskeyword=48-57,_,A-Z,a-z,:
  path=/usr/local/lib/site_ruby/1.6,/usr/local/lib/site_ruby/1.6/i386-linux,/usr
/local/lib/site_ruby,/usr/lib/ruby/1.6,/usr/lib/ruby/1.6/i386-linux,,
  suffixes=.bak,~,.swp,.o,.info,.aux,.log,.dvi,.bbl,.blg,.brf,.cb,.ind,.idx,.ilg
,.inx,.out,.toc

$ vim --version | head -2
VIM - Vi IMproved 6.1 (2002 Mar 24, compiled Apr 14 2002 20:39:56)
Included patches: 1-18

FWIW, this is the Debian Woody packaged version of Vim.

-- Dossy

-- 
Dossy Shiobara                       mail: dossy / panoptic.com 
Panoptic Computer Network             web: http://www.panoptic.com/ 
  "He realized the fastest way to change is to laugh at your own
    folly -- then you can let go and quickly move on." (p. 70)